My Mac desktop is 10.7.5 is Hp Photosmart 5520 e-All-in-One Printer compatible?

HP Photosmart 5520 e-All-in-One Printer

Back To Product

Follow this Question

1 Answer from the Community

  • As at January 2012, 'Out of the Box'with the included CD it works with 10.6 and 10.7 but if you want it to work with Mountain Lion 10.8 simply download the driver from Apple. (in fact OSX will detect you need the upgrade and ask you to update) ...too easy

    Was this useful? Answer 1

    3 of 7 people found this useful

Related Questions